@import "./fonts/roboto";
@import "./theme";
@import "./material/custom-settings.material";
@import "./ionic/ionic-settings";
@import "./scrollbar";
@import "./toaster";
@import "./contextmenu";


* {
  font-family: Roboto;
}

.noselect {
  -webkit-touch-callout: none;
  /* iOS Safari */
  -webkit-user-select: none;
  /* Safari */
  -khtml-user-select: none;
  /* Konqueror HTML */
  -moz-user-select: none;
  /* Firefox */
  -ms-user-select: none;
  /* Internet Explorer/Edge */
  user-select: none;
  /* Non-prefixed version, currently supported by Chrome and Opera */
}

.select {
  -webkit-touch-callout: text;
  /* iOS Safari */
  -webkit-user-select: text;
  /* Safari */
  -khtml-user-select: text;
  /* Konqueror HTML */
  -moz-user-select: text;
  /* Firefox */
  -ms-user-select: text;
  /* Internet Explorer/Edge */
  user-select: text;
  /* Non-prefixed version, currently supported by Chrome and Opera */
}

/* Change Autocomplete styles in Chrome*/
input:-webkit-autofill,
input:-webkit-autofill:hover,
input:-webkit-autofill:focus,
textarea:-webkit-autofill,
textarea:-webkit-autofill:hover,
textarea:-webkit-autofill:focus,
select:-webkit-autofill,
select:-webkit-autofill:hover,
select:-webkit-autofill:focus {
  -webkit-text-fill-color: var(--fg-main);
  -webkit-box-shadow: 0 0 0px 1000px var(--ion-foreground-color) inset;
  box-shadow: 0 0 0px 1000px var(--ion-foreground-color) inset;
}

// disable tooltips
ion-icon {
  pointer-events: none;
}

.color-picker {
  background-color: var(--ion-foreground-color) !important;

  .alpha {
    background-color: var(--ion-background-color) !important;
  }

  .cursor {
    border: var(--fg-main) solid 2px !important;
  }

  .box {
    color: var(--fg-disabled !important);

    input {
      color: var(--fg-main) !important;
    }
  }
}
